Subject: Re: linux-next: manual merge of the pwm tree with the modules tree

From: Daniel Gomez <[email-masked]>
Date: Mon, 10 Nov 2025 16:54:01 +0100

On 10/11/2025 16.42, Uwe Kleine-König wrote:
> Hello Daniel,
> 
> On Mon, Nov 10, 2025 at 02:59:15PM +0100, Daniel Gomez wrote:
>> On 07/11/2025 17.44, Uwe Kleine-König wrote:
>>> Hi Daniel,
>>>
>>> On Tue, Nov 04, 2025 at 10:54:15AM +1100, Stephen Rothwell wrote:
>>>> [adding the modules tree contacts]
>>>>
>>>> On Tue, 4 Nov 2025 10:48:27 +1100 Stephen Rothwell <[email-masked]> wrote:
>>>>>
>>>>> Today's linux-next merge of the pwm tree got a conflict in:
>>>>>
>>>>>   rust/macros/module.rs
>>>>>
>>>>> between commits:
>>>>>
>>>>>   3809d7a89fe5 ("rust: module: use a reference in macros::module::module")
>>>>>   0b24f9740f26 ("rust: module: update the module macro with module parameter support")
>>>>>
>>>>> from the modules tree and commit:
>>>>>
>>>>>   927687809649 ("rust: macros: Add support for 'imports_ns' to module!")
>>>
>>> I reshuffled my tree such that the import_ns commit sits directly on top
>>> of 6.18-rc1. The new commit-id is 739ad9be61e5.
>>>
>>>>> from the pwm tree.
>>>>> [...]
>>>>>  -    if let Some(imports) = info.imports_ns {
>>>>> ++    if let Some(imports) = &info.imports_ns {
>>>>> +         for ns in imports {
>>>>> +             modinfo.emit("import_ns", &ns);
>>>>> +         }
>>>>> +     }
>>>
>>> Given that the conflict resolution is non-trivial and we already know
>>> what to do, I suggest you merge my commit into the modules tree.
>>
>> Do you mean creating a separate branch that includes the conflict resolution, to
>> be used as an example when sending the PR?
> 
> If I were the module maintainer I'd pull
> 
> 	https://git.kernel.org/pub/scm/linux/kernel/git/ukleinek/linux.git rust-module-namespace
> 
> into my tree and include that into the v6.19-rc1 pull request. That way
> the merge conflict doesn't happen at all for Linus.

That's not my understanding on how to deal with conflicts:

https://docs.kernel.org/maintainer/rebasing-and-merging.html#merging-from-sibling-or-upstream-trees

> Best regards
> Uwe